Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.util.TreeFactory.TreeDTD

    java.lang.Object
        |
        +----com.ibm.xml.parser.Child
                |
                +----com.ibm.xml.parser.Parent
                        |
                        +----com.ibm.xml.parser.DTD
                                |
                                +----com.ibm.xml.parser.util.TreeFactory.TreeDTD

public static class TreeFactory.TreeDTD
extends DTD
implements com.sun.java.swing.tree.TreeNode

Fields inherited from class com.ibm.xml.parser.DTD
CM_EOC, CM_ERROR, CM_PCDATA

Fields inherited from class com.ibm.xml.parser.Child
ATTDEF, ATTLIST, DOCUMENTTYPE, ELEMENTDEFINITION, ENTITY, GENERALREFERENCE, NOTATION, PSEUDONODE

Constructor Summary
TreeFactory.TreeDTD()
TreeFactory.TreeDTD(java.lang.String root, ExternalID eid)

Method Summary
java.util.Enumeration | children()
boolean | getAllowsChildren()
com.sun.java.swing.tree.TreeNode | getChildAt(int childIndex)
int | getChildCount()
int | getIndex(com.sun.java.swing.tree.TreeNode node)
com.sun.java.swing.tree.TreeNode | getParent()
boolean | isLeaf()

Methods inherited from class com.ibm.xml.parser.DTD
addElement, checkContent, checkID, clone, elements, externalElements, getAppendableElements, getAttributeDeclaration, getAttributeDeclarations, getChildNodes, getChildrenArray, getContentModel, getContentType, getElementDeclaration, getElementDeclarations, getElementTypes, getEntities, getEntity, getExternalID, getExternalSize, getExternalSubset, getGeneralEntities, getInsertableElements, getInsertableElementsForValidContent, getInternalSize, getInternalSubset, getName, getNodeType, getNotation, getNotationEnumeration, getNotations, getParameterEntities, hasChildNodes, IDs, insert, insertBefore, internalElements, isAttributeDeclared, isElementDeclared, isParsingExternal, isPrintInternalDTD, makeContentElementList, prepareTable, printExternal, registID, removeChild, replaceChild, setElementTypes, setEncoding, setExternalID, setExternalSubset, setGeneralEntities, setInternalSubset, setName, setNotations, setParameterEntities, setParsingExternal, setPrintInternalDTD

Methods inherited from class com.ibm.xml.parser.Parent
addElement, elements, getChildNodes, getChildrenArray, getFirstChild, hasChildNodes, insert, insertAfter, insertBefore, insertFirst, insertLast, removeChild, replaceChild

Methods inherited from class com.ibm.xml.parser.Child
clearDigest, clone, getChildNodes, getDigest, getFactory, getFirstChild, getNextSibling, getParentNode, getPreviousSibling, getText, hasChildNodes, insertBefore, makeXPointer, print, print, removeChild, replaceChild, searchAncestors, searchAncestors, setFactory, toString, toString

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### TreeFactory.TreeDTD

    public TreeFactory.TreeDTD()

### TreeFactory.TreeDTD

    public TreeFactory.TreeDTD(java.lang.String root,
                               ExternalID eid)

Method Detail

### children

    public java.util.Enumeration children()

  Implements:
    children in interface com.sun.java.swing.tree.TreeNode

### getAllowsChildren

    public boolean getAllowsChildren()

  Implements:
    getAllowsChildren in interface com.sun.java.swing.tree.TreeNode

### getChildAt

    public com.sun.java.swing.tree.TreeNode getChildAt(int childIndex)

  Implements:
    getChildAt in interface com.sun.java.swing.tree.TreeNode

### getChildCount

    public int getChildCount()

  Implements:
    getChildCount in interface com.sun.java.swing.tree.TreeNode

### getIndex

    public int getIndex(com.sun.java.swing.tree.TreeNode node)

  Implements:
    getIndex in interface com.sun.java.swing.tree.TreeNode

### getParent

    public com.sun.java.swing.tree.TreeNode getParent()

  Implements:
    getParent in interface com.sun.java.swing.tree.TreeNode

### isLeaf

    public boolean isLeaf()

  Implements:
    isLeaf in interface com.sun.java.swing.tree.TreeNode

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |